<div class="create-site">
    <app-content-banner [isDashboard]="false" pageName="Add New Site"></app-content-banner>
    <form [formGroup]="siteCreateForm" (ngSubmit)="onSubmit()">
        <mat-card class="sp-main-card">
            <mat-card-content class="regular-mat-form-field">
                <!--   <div  fxLayout="row"   class="div-row" fxLayoutGap="10px" >
            <div  *ngFor="let s of sites"  class="left-text">
                <button type="button" mat-raised-button color="primary" matTooltip="sites"
                  >{{s.name | uppercase  }}</button>
            </div>                
        </div>-->

                <!--  <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSiteSelectedIndex" (selectedTabChange)="tabSiteChanged($event)" >
            <mat-tab *ngFor="let s of sites"  >
              <ng-template matTabLabel>
                <span>{{s.name | uppercase  }}</span>
              </ng-template>
              <ng-template matTabContent>
                  <div  >
                     
                  </div>
              </ng-template>
            </mat-tab>
            </mat-tab-group>  -->

               

                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10">
                        <span>Agency Name : &nbsp;</span>
                    </div>
                    
                    <div fxFlex="40" class="right-text regular-mat-form-field">
                            <mat-form-field appearance="outline" class='regular-mat-form-field '
                            style='width:500px'>
                            <input matInput aria-label="AgencyID" [matAutocomplete]="auto"  formControlName="agencyCtrl"
                              placeholder="Select one">
                            <mat-icon matSuffix>search</mat-icon>
                            <mat-autocomplete  #auto="matAutocomplete">
                              <mat-option style="height: 30px;font-size:0.9em" *ngFor="let agency of filteredAgencyData | async"
                                [value]='agency.agencyNo + " - "  + agency.name'  [value]="agency.agencyID" (onSelectionChange)="refreshAgency(agency.agencyID)">
                                {{ agency.agencyNo }} - {{ agency.name }}
                              </mat-option>
                            </mat-autocomplete>
                          </mat-form-field>
          
                       <!-- <mat-form-field appearance="outline" style='width:500px'>
                            <mat-select formControlName="agencyCtrl" [(ngModel)]="site.agencyID" placeholder="Select">
                                <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID">
                                    {{agency.agencyNo}} - {{agency.name}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>-->
                    </div>
                </div>
                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="center">
                        <label> &nbsp;</label>
                    </div>
                    <div fxLayout="row" fxLayoutGap="5px">
                        <button type="button" style='height:45px;width:100px' (click)="setSites(i)" *ngFor="let s of sites; let i = index">{{s.name
                            | uppercase }}</button>
                    </div>
                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="center">
                        <label> &nbsp;</label>
                    </div>
            </mat-card-content>
            <mat-card-content class="regular-mat-form-field">
                <div class="cAgencySite-small-box mat-elevation-z4" fxLayout="column">
                    <div class="cAgencySite-containter">

                        <div fxLayout="row" fxLayoutGap="5PX" fxLayoutAlign="left center">
                            <label fxFlex="30"> &nbsp; &nbsp;</label>
                        </div>
                        <div fxLayout="row" fxLayoutGap="5PX" fxLayoutAlign="left center">
                            <label fxFlex="30" style="font-weight: 700;">Site Details &nbsp; &nbsp;</label>
                            <label fxFlex="30">&nbsp; &nbsp;</label>
                            <mat-checkbox fxFlex="30" formControlName="isAddressSameasAgency" (change)="onisAddressSameasAgency($event)">Check
                                if Site information is same as Agency information</mat-checkbox>
                        </div>
                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30"> &nbsp; &nbsp;</label>
                        </div>
                        <div fxLayout="row" fxLayoutGap="5px">
                            <div fxFlex="60" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="15" class="required-label-color"  >Site Name</label>
                                <input type="hidden" [(ngModel)]="site.siteID" formControlName="hdnsiteIDCtrl" />
                                <mat-form-field fxFlex="70" appearance="outline">

                                    <input matInput type="text" [(ngModel)]="site.name" class="txtuppercase"
                                        formControlName="siteNameCtrl" maxlength="100" />
                                </mat-form-field>
                            </div>
                        </div>

                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Site Address</label>
                                <mat-form-field fxFlex="70" appearance="outline">
                                    <textarea matInput maxlength="200" [(ngModel)]="site.address" class="txtuppercase"
                                        formControlName="addressCtrl" cdkTextareaAutosize cdkAutosizeMinRows="2"
                                        cdkAutosizeMaxRows="4"></textarea>
                                </mat-form-field>

                            </div>

                            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">City</label>
                                <mat-form-field fxFlex="70" appearance="outline">
                                    <input matInput type="text" [(ngModel)]="site.city" class="txtuppercase"
                                     alphabetSpace formControlName="cityCtrl" maxlength="50" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">State</label>
                                <mat-form-field fxFlex="70" appearance="outline">
                                    <input matInput type="text" [(ngModel)]="site.state" class="txtuppercase"
                                     alphabetOnly formControlName="stateCtrl" maxlength="2" minlength="2" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Zip</label>
                                <mat-form-field fxFlex="70" appearance="outline">
                                    <input matInput digitOnly [(ngModel)]="site.zip" formControlName="zipCtrl"
                                        maxlength="5" minlength="5" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="10" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label>&nbsp;</label>

                            </div>
                            <div fxFlex="15" fxLayout="column" fxLayoutGap="5px">

                                <button type="button" mat-raised-button color="primary" matTooltip="Add New site"
                                    (click)="addnewSites()">Add New Site</button>
                                <button mat-raised-button color="primary" (click)="clearsiteInfo()">Clear</button>
                                <button mat-raised-button color="primary" (click)="removeSites()">Remove Site</button>
                            </div>

                        </div>
                        <div fxLayout="row" fxLayoutGap="5px">
                            <div fxFlex="30" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Borough &nbsp; &nbsp; </label>
                                <mat-form-field fxFlex="70" appearance="outline">
                                    <mat-select formControlName="siteBoroughTypeCtrl" [(ngModel)]="site.boroughType"
                                        placeholder="Select">
                                        <mat-option *ngFor="let siteBorough of boroughTypes" [value]="siteBorough.refGroupDetailID">
                                            {{siteBorough.refGroupDetailDescription}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>

                        <div fxLayout="row" fxLayoutGap="5px">
                            <div fxFlex="30" fxLayoutAlign="left center">

                                <label fxFlex="30" class="required-label-color">Site Type &nbsp;&nbsp; </label>
                                <mat-form-field fxFlex="70" appearance="outline">
                                    <mat-select formControlName="siteTypeCtrl" [(ngModel)]="site.housingProgram"
                                        placeholder="Select">
                                        <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                                            {{agencyType.typeDescription}}
                                        </mat-option>
                                    </mat-select>

                                </mat-form-field>
                            </div>

                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Site Category &nbsp; &nbsp; </label>
                                <mat-form-field fxFlex="70" appearance="outline">
                                    <mat-select formControlName="siteCategoryTypeCtrl" [(ngModel)]="site.siteCategoryType"
                                        placeholder="Select">
                                        <mat-option *ngFor="let siteCategory of siteCategoryTypes" [value]="siteCategory.refGroupDetailID">
                                            {{siteCategory.refGroupDetailDescription}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>

                        </div>
                        <div fxLayout="row" fxLayoutGap="5px" *ngIf="site.siteCategoryType === 5">
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">

                                <mat-label fxFlex="30" class="required-label-color">Is CAPS mandatory for this site
                                    &nbsp; &nbsp; </mat-label>
                                <mat-radio-group appearance="outline" fxFlex="70" fxLayoutGap="5px" [(ngModel)]="site.isCapsMandate"
                                    formControlName="isCapsMandateRadioCtrl">
                                    <mat-radio-button (click)="isCapsMandateSelection(true)" [value]="true"> Yes
                                    </mat-radio-button>
                                    <mat-radio-button (click)="isCapsMandateSelection(false)" [value]="false"> No
                                    </mat-radio-button>
                                </mat-radio-group>
                            </div>
                        </div>
                    </div>
                </div>
            </mat-card-content>
            <app-nav-footer [isSaveRequired]="false" [isSubmitRequired]="true" [isExitRequired]="true"
                [isPreviousRequired]="false" [isNextRequired]="false" (Exitbtn)="exitPage()" (Submitbtn)="SubmitPage()"></app-nav-footer>
        </mat-card>
    </form>
</div>